10.6 Does in fact run ProTools. Although Digidesign says otherwise.

Discussion in 'macOS' started by mikeinternet, Sep 4, 2009.

  1. mikeinternet macrumors 6502a

    mikeinternet

    Joined:
    Nov 1, 2006
    Location:
    Oaklnad, CA
    #1
    I edited this post to remove my initial misinformation. Anyone holding off on 10.6 due to ProTools 8 incompatibility need not to worry.
     
  2. Crevice macrumors regular

    Joined:
    Sep 3, 2008
    #2
    It works with ProTools 8, I have snow leopard, and protools 8 and it works, I also have a crappy old mbox and it even works with that.
     
  3. madog macrumors 65816

    madog

    Joined:
    Nov 25, 2004
    Location:
    Korova Milkbar
    #3
    ProTools is absolutely the most finnicky app I have ever seen. One of the few apps, and probably one of the even fewer high priced professional apps that can break when going up a minor OS version (like 10.4.8 to 10.4.9). I think they do it on purpose.

    Anyhoo, the only way would be to back up/clone your drive, and do an erase and install the system you want. Then, I'm not sure how the Migration Assistant would work. I would presume that it would be fine for the most part as it doesn't transfer over base system apps that are installed, and that all of your applications and personal data would be fine; especially since it's from SL to L.

    Then again, it is ProTools and I'm not sure how it would handle a migration.
     
  4. mikeinternet thread starter macrumors 6502a

    mikeinternet

    Joined:
    Nov 1, 2006
    Location:
    Oaklnad, CA
    #4
    Man you saved me!!

    I read that it was not supported, but figured it might still work. But for whatever reason my first time booting, it hung up. Just tried again and looks good.

    Thanks for getting me to just try again!
     
  5. MKnight macrumors regular

    MKnight

    Joined:
    Oct 15, 2007
    #5
    Agreed...

    Digidesign must not be using supported API calls and routines in OSX, otherwise this kind of crap would not be happening so often.

    I don't think I'd personally move back to Protools and would stick with Logic.


     
  6. mikeinternet thread starter macrumors 6502a

    mikeinternet

    Joined:
    Nov 1, 2006
    Location:
    Oaklnad, CA
    #6
    Thanks for the response, but thankfully I won;t be going through that.

    Regardless I think Digidesign is a pain in the ass for not officially supporting it.
     
  7. MKnight macrumors regular

    MKnight

    Joined:
    Oct 15, 2007
    #7
    I hear your pain, and it's always frustrating...

    On the other hand, you have to also realize that many professionals that rely on audio production do not live on the bleeding edge of software technology.

    Many individuals wait months before taking the plunge to upgrade utnil they are sure it's A) qualified and B) People are reporting it's stable.

    While it would be nice for Digi to upgrade their software more frequently, you also have to consider all of your third party plugins as well.

    Many companies like Waves etc take considerable time before they update their plugins to support newer operating systems because they want to make sure they are as flawless as humanly possible.

    I'm sure hobbyists could deal with incompatibilities, however, professionals relying on making money from their hobby simply don't upgrade to the latest and greatest.


     
  8. convert117 macrumors newbie

    Joined:
    Sep 6, 2009
    #8
    Hello.

    First time poster on these forums, although I have stumbled across MacRumors many times and found much useful info... So I figured I should pay it forward and help with info of my own.

    I can confirm possible issues with PT LE 8. I got an Mbox2 mini recently, included software - I wasn't aware of the updates at the time so it was 8.0.

    Anyway I installed 10.6 the day it came out, after a TM backup of course. Ran fine for a couple of days, even with Mbox connected. Didn't use PT much, if at all. After a day or 2 - mad kernel panics, preventing boot. Don't remember the details of the error msg but it was digidesign module every time 4 sure. Had to restore.

    I may try do the latest patches, then do the 10.6 update again.

    Hope this helps,


    My rig:
    2008 MP 8 core 2.8
    10Gb (2 Gb stock, 8Gb OWC)
    8800GT
    LaCie eSata card
     

Share This Page